> This page is for version v1 API.
> For other versions, use one of these documentation indexes:
> - v2 API (default): https://docs.cohere.com/v2/llms.txt
> - v1 API: https://docs.cohere.com/v1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cohere.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cohere.com/_mcp/server.

# Embed v3.0 Models are now Multimodal

> Launch of multimodal embeddings for our Embed models, plus some code to help get started.

Today we’re announcing updates to our embed-v3.0 family of models. These models now have the ability to process images into embeddings. There is no change to existing text capabilities which means there is no need to re-embed texts you have already processed with our `embed-v3.0` models.

In the rest of these release notes, we’ll provide more details about technical enhancements, new features, and new pricing.

## Technical Details

### API Changes

The Embed API has two major changes:

* Introduced a new `input_type` called `image`
* Introduced a new parameter called `images`

Example request on how to process

**`cURL`**

```Text cURL
POST https://api.cohere.ai/v1/embed
{
    "model": "embed-multilingual-v3.0",
    "input_type": "image",
    "embedding_types": ["float"],
    "images": [enc_img]
}
```

### Restrictions

* The API only accepts images in the base format of the following: `png`, `jpeg`,`Webp`, and `gif`
* Image embeddings currently does not support batching so the max images sent per request is 1
* The maximum image sizez is `5mb`
* The `images` parameter only accepts a base64 encoded image formatted as a Data Url